> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spidra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Search Logs

> Retrieve your full search history with filtering by date and status.

## Filtering Examples

```bash theme={null}
# Get only successful searches
/api/search-logs?status=success

# Search by query text
/api/search-logs?searchTerm=espresso

# Date range
/api/search-logs?dateStart=2025-12-01&dateEnd=2025-12-31

# Combine filters with pagination
/api/search-logs?status=success&searchTerm=espresso&limit=20&page=2
```

<Note>
  Both the list and single-log endpoints include `result_data`.
</Note>


## OpenAPI

````yaml GET /search-logs
openapi: 3.1.0
info:
  title: Spidra API
  version: 1.0.0
  description: >-
    Public API endpoints for web scraping via Spidra. Authenticate with
    `Authorization: Bearer YOUR_API_KEY`.
servers:
  - url: https://api.spidra.io/api
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /search-logs:
    get:
      tags:
        - Search
      summary: List Search Logs
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            default: 1
        - name: limit
          in: query
          schema:
            type: integer
            default: 10
        - name: searchTerm
          in: query
          schema:
            type: string
          description: Filter by query text
        - name: status
          in: query
          schema:
            type: string
            enum:
              - success
              - error
              - in_progress
              - all
        - name: dateStart
          in: query
          schema:
            type: string
            format: date
        - name: dateEnd
          in: query
          schema:
            type: string
            format: date
      responses:
        '200':
          description: Paginated list of search logs
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  data:
                    type: object
                    properties:
                      logs:
                        type: array
                        items:
                          $ref: '#/components/schemas/SearchLogSummary'
                      total:
                        type: integer
components:
  schemas:
    SearchLogSummary:
      type: object
      properties:
        uuid:
          type: string
        status:
          type: string
          enum:
            - success
            - error
            - in_progress
        started_at:
          type: string
        finished_at:
          type: string
          nullable: true
        query:
          type: string
        sources:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        result_limit:
          type: integer
          nullable: true
        error_message:
          type: string
          nullable: true
        latency_ms:
          type: integer
          nullable: true
        credits_used:
          type: integer
        scraping_channel:
          type: string
          nullable: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````